# Fepper theme for Drupal 7

## INTRODUCTION

The Fepper theme for Drupal includes templates generated by the Fepper frontend 
prototyper as well as styles, scripts, and theme functions which build out the 
Drupal theme to match the look and feel of the Fepper frontend.

* For a full description of Fepper for Drupal, visit the 
  [project page](https://github.com/electric-eloquence/fepper-drupal).

## REQUIREMENTS

* No special requirements

## INSTALLATION

* You may install this as you would normally 
  [install a contributed Drupal theme](https://www.drupal.org/getting-started/install-contrib/themes). 
* However, it is highly recommended to use this theme with a complete 
  [Fepper prototyper](https://github.com/electric-eloquence/fepper-drupal/releases/latest).
* Follow these instruction to adapt Fepper to use Drupal 7 patterns: 
  https://github.com/electric-eloquence/fepper-drupal7-files
* This theme is unopinionated with regards to styles and markup and should be 
  used as a 
  [base theme](https://www.drupal.org/docs/7/theming/creating-a-sub-theme). 
  You are encouraged to override any or all aspects of this theme for your 
  custom needs.
* However, if you wish to replicate the look and feel of the Fepper demo site 
  ([as per the screenshot](https://raw.githubusercontent.com/electric-eloquence/fepper-drupal/dev/backend/drupal/themes/fepper/screenshot.png)), 
  you should follow the Fepper documentation on 
  [importing the sample Drupal backend](https://github.com/electric-eloquence/fepper-drupal7-files#readme). 
  This will serve as a starting point for further customization.

## CONFIGURATION

This theme has no menu or administerable settings.

The only JavaScript in this theme adds behavior for mobile navigation, which is 
tooled for the Main menu and the Search form block. This behavior will be 
attached to the default Main menu on standard installation. In order for it to 
be attached to the Search form block, the block must be enabled in the Header 
region. Be aware that enabling the Main menu block within a region (overriding 
and replacing the default Main menu) will disable the mobile navigation behavior 
for the Main menu. Also be aware that titles will not be displayed for the 
Search form block if it is enabled in the Header region.

## COPYRIGHT

Copyright (C) 2017 Electric Eloquence

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

### The Fepper theme for Drupal bundles the following third-party resources:

#### Composite screenshot image

Copyright: Alex Grichenko

* License: CC0 1.0 Universal (CC0 1.0)
* License URI: https://creativecommons.org/publicdomain/zero/1.0/
* Source: https://www.publicdomainpictures.net/en/view-image.php?image=50301&picture=sunrise-in-mountains

Copyright: Shaun Pierre

* License: CC0 1.0 Universal (CC0 1.0)
* License URI: https://creativecommons.org/publicdomain/zero/1.0/
* Source: https://www.publicdomainpictures.net/en/view-image.php?image=40694&picture=blue-mountains

Copyright: Richard Moore

* License: CC0 1.0 Universal (CC0 1.0)
* License URI: https://creativecommons.org/publicdomain/zero/1.0/
* Source: https://commons.wikimedia.org/wiki/File:Matanuska_Glacier_mouth.jpg

Copyright: Alex Grichenko

* License: CC0 1.0 Universal (CC0 1.0)
* License URI: https://creativecommons.org/publicdomain/zero/1.0/
* Source: https://www.publicdomainpictures.net/en/view-image.php?image=55734&picture=night-sky-in-mountains
